Skip to content

/alerts/{id}/resolve

POST
/alerts/{id}/resolve
curl --request POST \
--url https://example.com/api/v1/alerts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resolve \
--header 'Authorization: Bearer <token>'

Close an alert by hand; the worker reopens it if the condition persists at the next check.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

Default Response

Media typeapplication/json
object
id
required
string
key
required
string
kind
required
string
Allowed values: dns_drift dnsbl rdns tls_expiry outbound_abuse rate_limit_burst tls_rpt dkim_unreadable disk_low
severity
required
string
Allowed values: warning critical
title
required
string
detail
required
object
key
additional properties
firstSeen
required
string
lastSeen
required
string
resolvedAt
required
Any of:
string
Example
{
"kind": "dns_drift",
"severity": "warning"
}